Subject: [MMUSIC] Is simulcast going to enable asymmetric codec negotiation?

From: Martin Thomson <[email-masked]>
Date: Wed, 21 Oct 2015 13:08:49 -0700

In WebRTC we have the ability to express asymmetric capabilities, but
no way to ensure that they are used.  If you have an endpoint that
only has support for a given codec in one direction (send or receive
but not both), then you are basically forced to give up on that codec,
even if it is otherwise awesome.

m=audio 9 UDP/TLS/RTP/SAVPF 109 0
c=IN IP4 0.0.0.0
a=sendrecv
a=rtpmap:109 opus/48000/2
a=rtpmap:0 PCMU/8000
a=simulcast: send pt=0 recv pt=109

Here, we have the ability to send mu-Law PCM and receive opus.

Of course, if the other side doesn't understand a=simulcast this will
degrade in the usual fashion, probably ending with an explosion of
some sort, but if you have any cause to think that they support
simulcast, this could be a way to get what you want.